Skip to content
Ona Docs

ListWorkflowExecutionOutputs

POST/gitpod.v1.WorkflowService/ListWorkflowExecutionOutputs

Lists outputs produced by workflow execution actions.

Use this method to:

  • Retrieve test results, coverage metrics, or other structured data from executions
  • Aggregate outputs across multiple workflow executions
  • Build dashboards or reports from execution data

Examples

  • List outputs for a workflow execution:

    Retrieves all outputs produced by actions in the specified execution.

    filter:
      workflowExecutionIds: ["d2c94c27-3b76-4a42-b88c-95a85e392c68"]
    pagination:
      pageSize: 50
Query ParametersExpand Collapse
token: optional string
pageSize: optional number
maximum100
minimum0
Body ParametersJSONExpand Collapse
filter: optional object { workflowExecutionIds }
workflowExecutionIds: optional array of string
ReturnsExpand Collapse
outputs: optional array of object { actionId, values }
actionId: optional string
values: optional map[object { boolValue, floatValue, intValue, stringValue } ]
boolValue: optional boolean
floatValue: optional number
formatdouble
intValue: optional string
stringValue: optional string
maxLength4096

ListWorkflowExecutionOutputs

curl https://app.gitpod.io/api/gitpod.v1.WorkflowService/ListWorkflowExecutionOutputs \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{
  "outputs": [
    {
      "actionId": "actionId",
      "values": {
        "foo": {
          "boolValue": true,
          "floatValue": 0,
          "intValue": "intValue",
          "stringValue": "stringValue"
        }
      }
    }
  ],
  "pagination": {
    "nextToken": "nextToken"
  }
}
Returns Examples
{
  "outputs": [
    {
      "actionId": "actionId",
      "values": {
        "foo": {
          "boolValue": true,
          "floatValue": 0,
          "intValue": "intValue",
          "stringValue": "stringValue"
        }
      }
    }
  ],
  "pagination": {
    "nextToken": "nextToken"
  }
}